Subject: [PATCH 0/3] rebase --edit-todo --exec

From: Andrei Rybak <[email-masked]>
Date: Thu, 14 Nov 2019 17:35:46 +0100

I've wanted this feature for a long time, and now with rebase working without
forking rebase--interactive (thanks to Phillip Wood for working on that), I
finally got around to implementing it.

It still needs validation for arguments. Right now, I have two ideas:

  1. iterate over original argv and make sure its just '--exec's with its
     arguments.
  2. check all other vars in options[].

Andrei Rybak (3):
  rebase: prepare cmd before choosing action
  rebase: extract add_exec()
  rebase -i: allow --edit-todo with --exec

 Documentation/git-rebase.txt  |  3 +-
 builtin/rebase.c              | 63 ++++++++++++++++++++++-------------
 t/t3404-rebase-interactive.sh | 32 ++++++++++++++++++
 3 files changed, 74 insertions(+), 24 deletions(-)

-- 
2.24.0.windows.2